var paginaControl;
$(document).ready(function() {
	paginaControl=new Paginador();
	$("#numPagina").bind("keydown", {}, keypressInBox);
	});


function keypressInBox(e) {
	paginaControl.keypressInBox(e);
};

function Paginador(){

	this.paginaPrimera=function() {
		$("#numPagina").val(1);
		this.sendPaginar();
	}
	this.paginaUltima=function() {
		$("#numPagina").val($("#numpaginas").val());
		this.sendPaginar();

	}
	this.paginaSiguiente=function()	{
	
		var pagina=this.getPagina();

		var paginas = $("#numpaginas").val();

		if (pagina < paginas) {
			$("#numPagina").val(pagina + 1);
			this.sendPaginar();
		}
		else{
			$("#numPagina").val(paginas);
		}
	}
	this.getPagina=function(){
		var pagina;
		try{
			pagina = parseInt($("#numPagina").val());
		}
		catch(e){
			pagina=1;
			$("#numPagina").val(1)
			
		}
		return pagina;
	}
	this.paginaIr=function() {
		
		var pagina=this.getPagina();
		try{
			pagina = parseInt($("#numPagina").val());
		}
		catch(e){
			pagina=1;
			$("#numPagina").val(1)
			
		}
		var paginas = $("#numpaginas").val();
		if (pagina < paginas && pagina>0) {
			
			this.sendPaginar();
		}
		else{
			if(pagina>0)
				$("#numPagina").val(paginas);
			else
				$("#numPagina").val(1);
			this.sendPaginar();
		}
	}
	this.paginaAnterior=function() {
		var pagina=this.getPagina();
		if (pagina > 1) {
			$("#numPagina").val(pagina - 1);
			this.sendPaginar();
		}

	}
	
	this.keypressInBox=function(e) {
	    var code = (e.keyCode ? e.keyCode : e.which);
	    if (code == 13) { //Enter keycode                        
	        e.preventDefault();
	        this.paginaIr();

	    }
	}
	this.sendPaginar=function() {
	
		$("#cargando").show();
		$.ajax({
			type : "POST",
			dataType : "json",
			url : "/m05bParqueMovilWar/m05bInformesAjaxControllerServlet",
			data : $("#formpaginada").serialize(), // serializes the form's
													// elements.
			success : function(data) {
				paginaControl.cargarTabla(data);
				$("#cargando").hide();
			}
		});

	}
	
	this.cargarTabla=function(dataJson) {

		//obtener las classes de los tedes
		var classes= new Array();
		$("#cuerpo tr:nth-child(1) td").each(function() {
			classes.push($(this).attr('class'));
		});
		//
		var datos = dataJson.salida;
		var salida = "";
		var inicio = "<td class='";
		var inicio2 = "'>";
		var fin = "</td>";
		var fila;
		var elementos;
		var count=0;
		for (i = 0; i < datos.length; i++) {
			// obtenemos una fila
			fila = datos[i];

			salida += "<tr>";
			count=0;
			for (k in fila) {
				
				salida += inicio+classes[count]+inicio2 + fila[k] + fin;
				count++;
			}
			salida += "</tr>";

		}
		$("#cuerpo").html(salida);

	}
	
}

function fncImprimir(tipo) {
	
	   
	var docu= document.formInformeAltas;
	docu.formatoInforme.value=tipo;
	var url;
	if(tipo==2)
		 url="m05bInformesPdfControllerServlet";
	else
		url="m05bInformesExcelControllerServlet";
    docu.action=url;
	if(tipo!=2|| (tipo=2 && $("#numpaginas").val()<500))
    	docu.submit();
	else
		alert(dameAlerta(idioma, 286));
}            